import { Construct } from "constructs";
import { StaticSite, StaticSiteProps } from "./StaticSite.js";
import { SSTConstruct } from "./Construct.js";
export declare type ReactStaticSiteProps = StaticSiteProps;
/**
 * The `ReactStaticSite` construct is a higher level CDK construct that makes it easy to create a React single page app.
 *
 * @example
 *
 * Deploys a Create React App in the `path/to/src` directory.
 *
 * ```js
 * new ReactStaticSite(stack, "ReactSite", {
 *   path: "path/to/src",
 * });
 * ```
 */
export declare class ReactStaticSite extends StaticSite implements SSTConstruct {
    constructor(scope: Construct, id: string, props: ReactStaticSiteProps);
}
